#include <xvt.h>
#include <checks.h>
#include "ef0.h"

#define usage   "Error - usage : %s -{0|1|2}"

int main(int argc, char** argv)
{
  const int op = argc < 2 ? 0 : atoi(argv[1]+1);
  int res = 1;
  switch (op)
  {
    case 0:
      res = ef0100(argc,argv);// GESTIONE EFFETTI
      break;
    case 1:
      res = ef0200(argc,argv);// GENERAZIONE EFFETTI DA E/C
      break;
    case 2:
      res = ef0300(argc,argv);// GESTIONE DISTINTE
      break; 
    case 3:
      res = ef0400(argc,argv);// ELIMINAZIONE EFFETTI
      break; 
    case 4:
      res = ef0500(argc,argv);// EMISSIONE EFFETTI/DISTINTE
      break;      
    default:
      error_box(usage, argv[0]);
      break;
  }
  return res;
}
